Memberships
GET
/me/memberships
Retrieve a list of all organizations the user is a member of
Parameter query
limit
integer
Limits the number of results to return.
reverse
boolean
Reverses the order in which the results are returned.
pageToken
string
The cursor that keeps track of the current position in the results.
status
string
Possible values: banned, invited, active
Payload respons
nextPageToken
string
The token to fetch the next page of results. If empty, there are no more results to fetch.
results
array of object
wajib
Tampilkan atribut turunan
results.organization
object
wajib
The organization record
Tampilkan atribut turunan
results.organization.id
string
wajib
The organization's ID
results.organization.name
string
wajib
Organization's display name.
results.organization.slug
string
wajib
Human-readable identifier
results.organization.avatarUrl
string
URL to the organization avatar.
results.organization.status
string
wajib
Current status
Possible values: active, banned
results.organization.statusReason
string
The reason for the organization's status (if any).
results.organization.pendingMemberCount
integer
How many members are pending to join the organization
results.organization.activeMemberCount
integer
wajib
How many members are active
results.organization.owner
string
wajib
ID of the user that owns the organization
results.organization.createdAt
string
wajib
When the organization was created
results.organization.updatedAt
string
When the organization was last updated
results.organization.managedBy
array of object
List of entities managing the organization
Tampilkan atribut turunan
results.organization.managedBy.Type
string
Type of the entity managing the organization
results.organization.managedBy.ID
string
ID of the entity managing the organization
results.organization.verified
boolean
results.status
string
wajib
The status of user's membership on the organization.
Possible values: banned, invited, active
results.createdAt
string
wajib
When the membership was created.
results.updatedAt
string
wajib
When the membership was last updated.
results.roleIds
array of string
IDs of IAM roles assigned to the user.
results.roleRefs
array of object
The list of roles to assign to the membership
Tampilkan atribut turunan
results.roleRefs.id
string
wajib
results.roleRefs.type
string
wajib
Possible values: organization, managed
results.roleRefs.workspaces
array of string
results.requiredSsoAuth
boolean
Indicates if SSO Authentication is required for this membership
results.requiredMfaAuth
boolean
Indicates if MFA Authentication is required for this membership
results.attributes
object
Additional attributes for the membership
Contoh kode
curl -X GET 'https://api.bird.com/me/memberships' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'GET
/me/memberships/{organizationId}
Retrieve a single organization membership object.
Payload respons
organization
object
wajib
The organization record
Tampilkan atribut turunan
organization.id
string
wajib
The organization's ID
organization.name
string
wajib
Organization's display name.
organization.slug
string
wajib
Human-readable identifier
organization.avatarUrl
string
URL to the organization avatar.
organization.status
string
wajib
Current status
Possible values: active, banned
organization.statusReason
string
The reason for the organization's status (if any).
organization.pendingMemberCount
integer
How many members are pending to join the organization
organization.activeMemberCount
integer
wajib
How many members are active
organization.owner
string
wajib
ID of the user that owns the organization
organization.createdAt
string
wajib
When the organization was created
organization.updatedAt
string
When the organization was last updated
organization.managedBy
array of object
List of entities managing the organization
Tampilkan atribut turunan
organization.managedBy.Type
string
Type of the entity managing the organization
organization.managedBy.ID
string
ID of the entity managing the organization
organization.verified
boolean
status
string
wajib
The status of user's membership on the organization.
Possible values: banned, invited, active
createdAt
string
wajib
When the membership was created.
updatedAt
string
wajib
When the membership was last updated.
roleIds
array of string
IDs of IAM roles assigned to the user.
roleRefs
array of object
The list of roles to assign to the membership
Tampilkan atribut turunan
roleRefs.id
string
wajib
roleRefs.type
string
wajib
Possible values: organization, managed
roleRefs.workspaces
array of string
requiredSsoAuth
boolean
Indicates if SSO Authentication is required for this membership
requiredMfaAuth
boolean
Indicates if MFA Authentication is required for this membership
attributes
object
Additional attributes for the membership
Contoh kode
curl -X GET 'https://api.bird.com/me/memberships/{organizationId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'POST
/me/memberships/{organizationId}
Accept a pending invitation to join the organization.
Payload respons
organization
object
wajib
The organization record
Tampilkan atribut turunan
organization.id
string
wajib
The organization's ID
organization.name
string
wajib
Organization's display name.
organization.slug
string
wajib
Human-readable identifier
organization.avatarUrl
string
URL to the organization avatar.
organization.status
string
wajib
Current status
Possible values: active, banned
organization.statusReason
string
The reason for the organization's status (if any).
organization.pendingMemberCount
integer
How many members are pending to join the organization
organization.activeMemberCount
integer
wajib
How many members are active
organization.owner
string
wajib
ID of the user that owns the organization
organization.createdAt
string
wajib
When the organization was created
organization.updatedAt
string
When the organization was last updated
organization.managedBy
array of object
List of entities managing the organization
Tampilkan atribut turunan
organization.managedBy.Type
string
Type of the entity managing the organization
organization.managedBy.ID
string
ID of the entity managing the organization
organization.verified
boolean
status
string
wajib
The status of user's membership on the organization.
Possible values: banned, invited, active
createdAt
string
wajib
When the membership was created.
updatedAt
string
wajib
When the membership was last updated.
roleIds
array of string
IDs of IAM roles assigned to the user.
roleRefs
array of object
The list of roles to assign to the membership
Tampilkan atribut turunan
roleRefs.id
string
wajib
roleRefs.type
string
wajib
Possible values: organization, managed
roleRefs.workspaces
array of string
requiredSsoAuth
boolean
Indicates if SSO Authentication is required for this membership
requiredMfaAuth
boolean
Indicates if MFA Authentication is required for this membership
attributes
object
Additional attributes for the membership
Contoh kode
curl -X POST 'https://api.bird.com/me/memberships/{organizationId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'DELETE
/me/memberships/{organizationId}
Remove the membership from the organization for the current user
Contoh kode
curl -X DELETE 'https://api.bird.com/me/memberships/{organizationId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'